%define		realname	wxWidgets
Summary:	wxWidgets library - MinGW32 cross version
Summary(pl.UTF-8):	Biblioteka wxWidgets - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	3.0.2
Release:	1
License:	wxWidgets Library Licence 3.1 (LGPL v2+ with exception)
Group:		Development/Libraries
Source0:	http://downloads.sourceforge.net/wxwindows/%{realname}-%{version}.tar.bz2
# Source0-md5:	ba4cd1f3853d0cd49134c5ae028ad080
Patch0:		%{realname}-samples.patch
Patch1:		%{realname}-ac.patch
Patch2:		%{realname}-gifdelay.patch
URL:		http://www.wxWidgets.org/
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake
#BuildRequires:	bakefile >= 0.2.9
BuildRequires:	crossmingw32-expat
BuildRequires:	crossmingw32-gcc-c++
BuildRequires:	crossmingw32-libjpeg
BuildRequires:	crossmingw32-libpng
BuildRequires:	crossmingw32-libtiff
BuildRequires:	crossmingw32-w32api
BuildRequires:	crossmingw32-zlib >= 1.1.4
BuildRequires:	libtool
Requires:	crossmingw32-expat
Requires:	crossmingw32-libjpeg
Requires:	crossmingw32-libpng
Requires:	crossmingw32-libtiff
Requires:	crossmingw32-w32api
Obsoletes:	crossmingw32-wxMSW
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform		i386-pc-mingw32

%define		_sysprefix		/usr
%define		_sysbindir		%{_sysprefix}/bin
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld    -Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*
%define		filterout_cxx	-f[-a-z0-9=]*

%description
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

%description -l pl.UTF-8
wxWidgets to wolnodostępna biblioteka napisana w C++ umożliwiająca
rozwijanie wieloplatformowych programów GUI. Przy użyciu wxWidgets
można tworzyć aplikacje dla różnych GUI (GTK+, Motif/LessTif, MS
Windows, Mac) z tego samego kodu źródłowego.

%package dll
Summary:	%{realname} - DLL library for Windows
Summary(pl.UTF-8):	%{realname} - biblioteka DLL dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-expat-dll
Requires:	crossmingw32-libjpeg-dll
Requires:	crossmingw32-libpng-dll
Requires:	crossmingw32-libtiff-dll
Requires:	crossmingw32-zlib-dll >= 1.1.4

%description dll
%{realname} - DLL libraries for Windows.

%description dll -l pl.UTF-8
%{realname} - biblioteki DLL dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal} -I build/aclocal
%{__autoconf}

%configure \
	--host=%{target} \
	--target=%{target} \
	--disable-precomp-headers \
	--enable-calendar \
	--enable-controls \
	--enable-plugins \
	--enable-std-iostreams \
	--enable-tabdialog \
	--enable-vendor=pld \
	--with-msw \
	--with-opengl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_dlldir},%{_sysbindir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_libdir}/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

ln -sf %{_libdir}/wx/config/i386-mingw32-msw-unicode-3.0 $RPM_BUILD_ROOT%{_sysbindir}/i386-mingw32-wx-msw-unicode-config

# use from native wxWidgets if needed
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{aclocal,bakefile,locale}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sysbindir}/i386-mingw32-wx-msw-unicode-config
%{_libdir}/libwx_baseu-3.0-i386-mingw32.dll.a
%{_libdir}/libwx_baseu_net-3.0-i386-mingw32.dll.a
%{_libdir}/libwx_baseu_xml-3.0-i386-mingw32.dll.a
%{_libdir}/libwx_mswu_adv-3.0-i386-mingw32.dll.a
%{_libdir}/libwx_mswu_aui-3.0-i386-mingw32.dll.a
%{_libdir}/libwx_mswu_core-3.0-i386-mingw32.dll.a
%{_libdir}/libwx_mswu_gl-3.0-i386-mingw32.dll.a
%{_libdir}/libwx_mswu_html-3.0-i386-mingw32.dll.a
%{_libdir}/libwx_mswu_media-3.0-i386-mingw32.dll.a
%{_libdir}/libwx_mswu_propgrid-3.0-i386-mingw32.dll.a
%{_libdir}/libwx_mswu_qa-3.0-i386-mingw32.dll.a
%{_libdir}/libwx_mswu_ribbon-3.0-i386-mingw32.dll.a
%{_libdir}/libwx_mswu_richtext-3.0-i386-mingw32.dll.a
%{_libdir}/libwx_mswu_stc-3.0-i386-mingw32.dll.a
%{_libdir}/libwx_mswu_webview-3.0-i386-mingw32.dll.a
%{_libdir}/libwx_mswu_xrc-3.0-i386-mingw32.dll.a
%dir %{_libdir}/wx
%dir %{_libdir}/wx/config
%attr(755,root,root) %{_libdir}/wx/config/i386-mingw32-msw-unicode-3.0
%{_libdir}/wx/include
%{_includedir}/wx-3.0

%files dll
%defattr(644,root,root,755)
%{_dlldir}/wxbase30u_gcc_pld.dll
%{_dlldir}/wxbase30u_net_gcc_pld.dll
%{_dlldir}/wxbase30u_xml_gcc_pld.dll
%{_dlldir}/wxmsw30u_adv_gcc_pld.dll
%{_dlldir}/wxmsw30u_aui_gcc_pld.dll
%{_dlldir}/wxmsw30u_core_gcc_pld.dll
%{_dlldir}/wxmsw30u_gl_gcc_pld.dll
%{_dlldir}/wxmsw30u_html_gcc_pld.dll
%{_dlldir}/wxmsw30u_media_gcc_pld.dll
%{_dlldir}/wxmsw30u_propgrid_gcc_pld.dll
%{_dlldir}/wxmsw30u_qa_gcc_pld.dll
%{_dlldir}/wxmsw30u_ribbon_gcc_pld.dll
%{_dlldir}/wxmsw30u_richtext_gcc_pld.dll
%{_dlldir}/wxmsw30u_stc_gcc_pld.dll
%{_dlldir}/wxmsw30u_webview_gcc_pld.dll
%{_dlldir}/wxmsw30u_xrc_gcc_pld.dll
%changelog
* Sun Apr 09 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-wxWidgets.git;a=log;h=master

* Sun Apr 09 2017 Jakub Bogusz <qboosh@pld-linux.org> 1e5eebc
- updated to 3.0.2
- removed outdated msw patch

* Mon Aug 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 7e15317
- updated to 3.0.1

* Sat Feb 08 2014 Jakub Bogusz <qboosh@pld-linux.org> f85a881
- updated to 3.0.0

* Wed Oct 20 2010 Jakub Bogusz <qboosh@pld-linux.org> 420fdfd
- updated to 2.8.11
- added msw patch

* Tue Jul 29 2008 Jakub Bogusz <qboosh@pld-linux.org> f2a2d91
- outdated

* Mon Jan 14 2008 Jakub Bogusz <qboosh@pld-linux.org> bd25379
- force %{_lib}-independent libdir

* Thu Nov 29 2007 Jakub Bogusz <qboosh@pld-linux.org> 777cad4
- unified/simplified

* Fri Nov 23 2007 Jarosław Kruk <jareq@pld-linux.org> e77e000
- updated to 2.8.7

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c8d76d7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b35f38d
- converted to UTF-8

* Sun Jan 14 2007 Jarosław Kruk <jareq@pld-linux.org> 3700f81
- updated to 2.8.1
- rel 1, STBR

* Sun Dec 24 2006 Jakub Bogusz <qboosh@pld-linux.org> c4fef24
- use the same Source0 as wxWidgets.spec, fixed md5

* Sun Dec 24 2006 Jarosław Kruk <jareq@pld-linux.org> 830a494
- updated to 2.8.0

* Mon Nov 27 2006 Jarosław Kruk <jareq@pld-linux.org> 498f38d
- updated to 2.8.0 rc1

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 1460496
- remove extra unneeded slash

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 43e1e55
- orphaned, outdated

* Wed Oct 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 73e1d71
- updated to 2.6.2
- disable precomp-headers (build fails on gcc 3.4.3 with enabled)

* Sun Sep 04 2005 Jakub Bogusz <qboosh@pld-linux.org> ddbd2b7
- comment fix

* Sun Jun 12 2005 wolf <wolf@pld-linux.org> 53fb6aa
- md5

* Sun Jun 12 2005 wolf <wolf@pld-linux.org> 87144d8
- 2.6.1

